OSX: commit the needed steps for compiling with gcc 4.6.1 and OMP_NUM_THREADS env...
authorJens Verwiebe <info@jensverwiebe.de>
Fri, 14 Oct 2011 17:27:55 +0000 (17:27 +0000)
committerJens Verwiebe <info@jensverwiebe.de>
Fri, 14 Oct 2011 17:27:55 +0000 (17:27 +0000)
build_files/scons/tools/Blender.py
source/darwin/blender.app/Contents/Info.plist

index b9632bfffa743857018f654be122dcea8e2e9509..2be464fc6fee8e0cc5ff714b31215c24a3d5b952 100644 (file)
@@ -582,6 +582,16 @@ def AppIt(target=None, source=None, env=None):
     commands.getoutput(cmd)
     cmd = 'find %s/%s.app -name __MACOSX -exec rm -rf {} \;'%(installdir, binary)
     commands.getoutput(cmd)
+    if env['CC'].endswith('4.6.1'): # for correct errorhandling with gcc 4.6.1 we need the gcc.dylib to link, thus distribute in app-bundle
+        cmd = 'mkdir %s/%s.app/Contents/MacOS/lib'%(installdir, binary)
+        commands.getoutput(cmd)
+        instname = env['BF_CXX']
+        cmd = 'cp %s/lib/libgcc_s.1.dylib %s/%s.app/Contents/MacOS/lib/'%(instname, installdir, binary)
+        commands.getoutput(cmd)
+        cmd = 'install_name_tool -id @executable_path/lib/libgcc_s.1.dylib %s/%s.app/Contents/MacOS/lib/libgcc_s.1.dylib'%(installdir, binary)
+        commands.getoutput(cmd)
+        cmd = 'install_name_tool -change %s/lib/libgcc_s.1.dylib  @executable_path/lib/libgcc_s.1.dylib %s/%s.app/Contents/MacOS/%s'%(instname, installdir, binary, binary)
+        commands.getoutput(cmd)
 
 # extract copy system python, be sure to update other build systems
 # when making changes to the files that are copied.
index 23941d910751e97b97c0bf44a02fb2220aaf6bfa..a25c629ce68bda7a2aa27fbb68f6a0d6559ce5c2 100644 (file)
@@ -1,33 +1,27 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist SYSTEM "file://localhost/System/Library/DTDs/PropertyList.dtd">
-<plist version="0.9">
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
 <dict>
        <key>CFBundleInfoDictionaryVersion</key>
        <string>6.0</string>
-
        <key>CFBundleExecutable</key>
        <string>blender</string>
-
        <key>CFBundlePackageType</key>
        <string>APPL</string>
        <key>CFBundleSignature</key>
        <string>????</string>
-
        <key>CFBundleIconFile</key>
        <string>blender icon.icns</string>
-
        <key>CFBundleName</key>
        <string>Blender</string>
        <key>CFBundleIdentifier</key>
        <string>org.blenderfoundation.blender</string>
-
        <key>CFBundleVersion</key>
        <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}, Blender Foundation</string>
        <key>CFBundleShortVersionString</key>
        <string>${MACOSX_BUNDLE_SHORT_VERSION_STRING}</string>
        <key>CFBundleGetInfoString</key>
        <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}, Blender Foundation</string>
-
        <key>CFBundleDocumentTypes</key>
        <array>
                <dict>
                        <key>CFBundleTypeRole</key>
                        <string>Editor</string>
                        <key>LSIsAppleDefaultForType</key>
-                       <true/> 
+                       <true/>
                </dict>
        </array>
+       <key>LSEnvironment</key>
+       <dict>
+               <key>OMP_NUM_THREADS</key>
+               <string>2</string>
+       </dict>
 </dict>
 </plist>